org.apache.ignite.thread

## Class IgniteStripedThreadPoolExecutor

- java.lang.Object
- - org.apache.ignite.thread.IgniteStripedThreadPoolExecutor

All Implemented Interfaces:
  Executor, ExecutorService

    public class IgniteStripedThreadPoolExecutor
    extends Object
    implements ExecutorService

An `ExecutorService` that executes submitted tasks using pooled grid threads.

### Field Summary

Fields
`static int` `DFLT_CONCUR_LVL`
`static int` `DFLT_SEG_POOL_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`IgniteStripedThreadPoolExecutor()`

### Method Summary

Methods
`boolean` `awaitTermination(long timeout, TimeUnit unit)`
`void` `execute(Runnable cmd)`
`<T> List<Future<T>>` `invokeAll(Collection<? extends Callable<T>> tasks)`
`<T> List<Future<T>>` `invokeAll(Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)`
`<T> T` `invokeAny(Collection<? extends Callable<T>> tasks)`
`<T> T` `invokeAny(Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)`
`boolean` `isShutdown()`
`boolean` `isTerminated()`
`void` `shutdown()`
`List<Runnable>` `shutdownNow()`
`<T> Future<T>` `submit(Callable<T> task)`
`Future<?>` `submit(Runnable task)`
`<T> Future<T>` `submit(Runnable task, T result)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_SEG_POOL_SIZE

    public static final int DFLT_SEG_POOL_SIZE

See Also:
  Constant Field Values

#### DFLT_CONCUR_LVL

    public static final int DFLT_CONCUR_LVL

See Also:
  Constant Field Values

### Constructor Detail

#### IgniteStripedThreadPoolExecutor

    public IgniteStripedThreadPoolExecutor()

### Method Detail

#### shutdown

    public void shutdown()

Specified by:
  `shutdown` in interface `ExecutorService`

#### shutdownNow

    public List<Runnable> shutdownNow()

Specified by:
  `shutdownNow` in interface `ExecutorService`

#### isShutdown

    public boolean isShutdown()

Specified by:
  `isShutdown` in interface `ExecutorService`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ExecutorService`

#### awaitTermination

    public boolean awaitTermination(long timeout,
                           TimeUnit unit)
                             throws InterruptedException

Specified by:
  `awaitTermination` in interface `ExecutorService`
Throws:
  `InterruptedException`

#### submit

    public <T> Future<T> submit(Callable<T> task)

Specified by:
  `submit` in interface `ExecutorService`

#### submit

    public <T> Future<T> submit(Runnable task,
                       T result)

Specified by:
  `submit` in interface `ExecutorService`

#### submit

    public Future<?> submit(Runnable task)

Specified by:
  `submit` in interface `ExecutorService`

#### invokeAll

    public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> tasks)
                              throws InterruptedException

Specified by:
  `invokeAll` in interface `ExecutorService`
Throws:
  `InterruptedException`

#### invokeAll

    public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> tasks,
                                long timeout,
                                TimeUnit unit)
                              throws InterruptedException

Specified by:
  `invokeAll` in interface `ExecutorService`
Throws:
  `InterruptedException`

#### invokeAny

    public <T> T invokeAny(Collection<? extends Callable<T>> tasks)
                throws InterruptedException,
                       ExecutionException

Specified by:
  `invokeAny` in interface `ExecutorService`
Throws:
  `InterruptedException`
  `ExecutionException`

#### invokeAny

    public <T> T invokeAny(Collection<? extends Callable<T>> tasks,
                  long timeout,
                  TimeUnit unit)
                throws InterruptedException,
                       ExecutionException,
                       TimeoutException

Specified by:
  `invokeAny` in interface `ExecutorService`
Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`

#### execute

    public void execute(Runnable cmd)

Specified by:
  `execute` in interface `Executor`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015